<template>
  <v-row>
    <v-col align="center">
      <!-- Image -->
      <img src="~/assets/img/error.svg" alt="error" />

      <!-- Message -->
      <div class="studium-title pt-4">
        {{ error.message }}
      </div>

      <!-- Description -->
      <div v-if="description" class="studium-subtitle pt-3">
        {{ description }}
      </div>

      <!-- Go home -->
      <div v-if="statusCode === 404" class="pt-5">
        <nuxt-link to="/"> {{ $t('error.return') }}</nuxt-link>
      </div>
    </v-col>
  </v-row>
</template>

<script lang="ts">
import { defineComponent, PropType } from '@nuxtjs/composition-api'

import { CustomError } from '~/util/composables'

export default defineComponent({
  props: {
    // Custom error
    error: {
      type: Object as PropType<CustomError>,
      default: () => ({
        message: 'Unknown Error',
      }),
    },

    // (optional) Description
    description: {
      type: String as PropType<string>,
      default: '',
    },

    // (optional) Status code
    statusCode: {
      type: Number as PropType<number>,
      default: 0,
    },
  },
})
</script>
